Update a privacy request integration | DataGrail Documentation

Update a privacy request integration

PUT https://www.example.com/api/v2/privacy_requests/:id/integrations/:integration_id

Update a privacy request integration

Request

Path Parameters

id string required
The UUID of the privacy request (36 character string).
Example: 80edbafc-4ec6-45a0-b341-73080457890e

integration_id string required
The UUID of the privacy request integration to update (36 character string).
Example: 7efa58a8-9b7d-4faf-8082-5f7f7f407db7

Header Parameters

authorization string required
Example: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9

Body

state string
The state of the integration that you want to update to.
Possible values: [ignored, completed]

{
  "state": "ignored"
}

Responses

Schema
data object

uuid string
UUID which represents the current record.
Example: 677a70c6-2a5a-4ad9-b266-566e44a6d50b

integration_id string
The UUID of the privacy request integration.
Example: 7efa58a8-9b7d-4faf-8082-5f7f7f407db7

name string
The name of the integration.
Example: AWS Integration

state string
State of the current integration.
Possible values: [cancelled, completed, deferred, failed, ignored, init, pending, processing, queued]
Example: completed

paused boolean
If this integration has been manually paused from continuing to process information.

excluded boolean
If the integration had been manually excluded from the processing of the current request.

is_connected boolean
Whether this integration is currently correctly connected or not. Health check of your integration.

access_type string
The method of which the access phase has and is run through.
Possible values: [api, direct_contact, none]

access_done_at string
The timestamp when the access phase of the request was completed.
Example: 2024-10-28T15:32:43.207Z

deletion_type string
The method of which the deletion phase has and is run through.
Possible values: [api, direct_contact, none]

deletion_done_at string
The timestamp when the deletion phase of the request was completed.
Example: 2024-10-31T15:32:43.207Z

created_at string
The timestamp when this integration was created.
Example: 2024-10-27T13:29:04.728Z

{
  "data": {
    "uuid": "677a70c6-2a5a-4ad9-b266-566e44a6d50b",
    "integration_id": "7efa58a8-9b7d-4faf-8082-5f7f7f407db7",
    "name": "AWS Integration",
    "state": "completed",
    "paused": true,
    "excluded": true,
    "is_connected": true,
    "access_type": "api",
    "access_done_at": "2024-10-28T15:32:43.207Z",
    "deletion_type": "api",
    "deletion_done_at": "2024-10-31T15:32:43.207Z",
    "created_at": "2024-10-27T13:29:04.728Z"
  }
}

Bad Request
Unauthorized
Privacy Request or Integration was not found

curl -L -X PUT 'https://www.example.com/api/v2/privacy_requests/:id/integrations/:integration_id' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-d '{"state": "ignored"}'